Skip to main content
POST
Stream Text to Speech

Authorizations

PersoPlatform-APIKey
string
header
required
xi-api-key
string
header
required

Use this header if you want to call the API with an ElevenLabs-compatible SDK. Pass your Perso API key as the xi-api-key header value.

Path Parameters

voice_id
string
required

The ID of the voice to use for speech generation. Retrieve available voice IDs from List Voices (GET /v2/voices).

Query Parameters

output_format
enum<string>
default:wav_24000
required

The desired audio output format.

Available options:
mp3_44100,
pcm_24000,
pcm_44100,
wav_24000,
wav_44100

Body

application/json
text
string
required

Text to synthesize and stream as speech.

Required string length: 1 - 5000
model_id
string
default:perso_multilingual_v1
Minimum string length: 1
voice_settings
object

Optional dict of voice tuning parameters (e.g. stability, similarity_boost) compatible with ElevenLabs voice settings.

Response

Streaming audio binary. Content-Type depends on output_format: audio/wav, audio/mpeg, or audio/L16.

The response is of type file.